Package org.eclipse.emf.cdo.expressions

# Interface ExpressionsFactory

All Superinterfaces:
  `EFactory`, `EModelElement`, `EObject`, `Notifier`

All Known Implementing Classes:
  `ExpressionsFactoryImpl`

public interface ExpressionsFactory extends EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `ExpressionsPackage`
Generated
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ExpressionsFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`BooleanValue`
`createBooleanValue()`
Returns a new object of class 'Boolean Value'.
`ByteValue`
`createByteValue()`
Returns a new object of class 'Byte Value'.
`CharValue`
`createCharValue()`
Returns a new object of class 'Char Value'.
`ContainedObject`
`createContainedObject()`
Returns a new object of class 'Contained Object'.
`ContextAccess`
`createContextAccess()`
Returns a new object of class 'Context Access'.
`DoubleValue`
`createDoubleValue()`
Returns a new object of class 'Double Value'.
`FloatValue`
`createFloatValue()`
Returns a new object of class 'Float Value'.
`FunctionInvocation`
`createFunctionInvocation()`
Returns a new object of class 'Function Invocation'.
`IntValue`
`createIntValue()`
Returns a new object of class 'Int Value'.
`LinkedExpression`
`createLinkedExpression()`
Returns a new object of class 'Linked Expression'.
`LinkedObject`
`createLinkedObject()`
Returns a new object of class 'Linked Object'.
`ListConstruction`
`createListConstruction()`
Returns a new object of class 'List Construction'.
`LongValue`
`createLongValue()`
Returns a new object of class 'Long Value'.
`MemberAccess`
`createMemberAccess()`
Returns a new object of class 'Member Access'.
`MemberInvocation`
`createMemberInvocation()`
Returns a new object of class 'Member Invocation'.
`ShortValue`
`createShortValue()`
Returns a new object of class 'Short Value'.
`StaticAccess`
`createStaticAccess()`
Returns a new object of class 'Static Access'.
`StringValue`
`createStringValue()`
Returns a new object of class 'String Value'.
`ExpressionsPackage`
`getExpressionsPackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final ExpressionsFactory eINSTANCE
The singleton instance of the factory.

Generated

## Method Details

### createBooleanValue

BooleanValue createBooleanValue()
Returns a new object of class 'Boolean Value'.

Returns:
  a new object of class 'Boolean Value'.
Generated

### createByteValue

ByteValue createByteValue()
Returns a new object of class 'Byte Value'.

Returns:
  a new object of class 'Byte Value'.
Generated

### createShortValue

ShortValue createShortValue()
Returns a new object of class 'Short Value'.

Returns:
  a new object of class 'Short Value'.
Generated

### createIntValue

IntValue createIntValue()
Returns a new object of class 'Int Value'.

Returns:
  a new object of class 'Int Value'.
Generated

### createLongValue

LongValue createLongValue()
Returns a new object of class 'Long Value'.

Returns:
  a new object of class 'Long Value'.
Generated

### createFloatValue

FloatValue createFloatValue()
Returns a new object of class 'Float Value'.

Returns:
  a new object of class 'Float Value'.
Generated

### createDoubleValue

DoubleValue createDoubleValue()
Returns a new object of class 'Double Value'.

Returns:
  a new object of class 'Double Value'.
Generated

### createCharValue

CharValue createCharValue()
Returns a new object of class 'Char Value'.

Returns:
  a new object of class 'Char Value'.
Generated

### createStringValue

StringValue createStringValue()
Returns a new object of class 'String Value'.

Returns:
  a new object of class 'String Value'.
Generated

### createFunctionInvocation

FunctionInvocation createFunctionInvocation()
Returns a new object of class 'Function Invocation'.

Returns:
  a new object of class 'Function Invocation'.
Generated

### createMemberInvocation

MemberInvocation createMemberInvocation()
Returns a new object of class 'Member Invocation'.

Returns:
  a new object of class 'Member Invocation'.
Generated

### createStaticAccess

StaticAccess createStaticAccess()
Returns a new object of class 'Static Access'.

Returns:
  a new object of class 'Static Access'.
Generated

### createMemberAccess

MemberAccess createMemberAccess()
Returns a new object of class 'Member Access'.

Returns:
  a new object of class 'Member Access'.
Generated

### createContextAccess

ContextAccess createContextAccess()
Returns a new object of class 'Context Access'.

Returns:
  a new object of class 'Context Access'.
Generated

### createContainedObject

ContainedObject createContainedObject()
Returns a new object of class 'Contained Object'.

Returns:
  a new object of class 'Contained Object'.
Generated

### createLinkedObject

LinkedObject createLinkedObject()
Returns a new object of class 'Linked Object'.

Returns:
  a new object of class 'Linked Object'.
Generated

### createLinkedExpression

LinkedExpression createLinkedExpression()
Returns a new object of class 'Linked Expression'.

Returns:
  a new object of class 'Linked Expression'.
Generated

### createListConstruction

ListConstruction createListConstruction()
Returns a new object of class 'List Construction'.

Returns:
  a new object of class 'List Construction'.
Generated

### getExpressionsPackage

ExpressionsPackage getExpressionsPackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated